Package Details: airstatus-git 20220109.db9de00-1

Git Clone URL: https://aur.archlinux.org/airstatus-git.git (read-only, click to copy)
Package Base: airstatus-git
Description: Check AirPods battery levels on Linux
Upstream URL: https://github.com/delphiki/AirStatus
Licenses: GPL
Conflicts: airstatus
Provides: airstatus
Submitter: oxplot
Maintainer: None
Last Packager: oxplot
Votes: 0
Popularity: 0.000000
First Submitted: 2022-07-03 08:30 (UTC)
Last Updated: 2022-07-03 08:30 (UTC)

Latest Comments

1 2 Next › Last »

luigibu commented on 2023-05-15 08:45 (UTC)

@kode54, yes.. is not working anymore. I mind.. works half way after lattest updates. Totally unstable.

kode54 commented on 2023-05-14 01:00 (UTC)

Doesn't even create the scan output file here. Are you sure you're on a recently updated Arch system?

luigibu commented on 2023-05-12 07:06 (UTC)

Is working perfect for me. The python recent changes may need you to re-build but seams to be working perfectly.

kode54 commented on 2023-02-21 09:37 (UTC)

That would make it a heisenbug, then, since none of the dependencies are AUR packages, and none of them have been updated since last year. And the Git for this package hasn't been updated in a year.

callmejoe commented on 2023-02-20 16:00 (UTC)

@kode54 stopped working for me too like 2 weeks ago. but then started working after a system upgrade. i think a python package was to blame. not sure. but works like it should for me now.

oxplot commented on 2023-02-20 12:08 (UTC)

@kode54 last time I ran it, it generated so much BT traffic, all my devices were stuttering so got rid of it. I'm orphaning the package for whoever has the time.

kode54 commented on 2023-02-20 11:44 (UTC)

Once again not functional. Doesn't even generate any output in the specified file, simply hangs until stopped.

callmejoe commented on 2022-11-17 18:52 (UTC)

love those dependency chains. thanks for reviewing

oxplot commented on 2022-11-17 01:28 (UTC)

Looks like a cascading series of out of date dependencies, starting with python-dbus-fast which has required python-setuptools>=65.4 since Oct 2 and that has stopped python-dbus-fast to be upgraded. Now, bleak which is used by airstatus depends on a new function in dbus-fast which is only available in later versions.

I've flagged python-setuptools as out of date. Once that gets up to date, dbus-fast can be upgraded after which airstatus should work.

oxplot commented on 2022-11-17 00:52 (UTC)

Ye I see that — will look into it